Package com.sap.ai.sdk.orchestration.model

# Class InputTranslationModuleResultData

java.lang.Object
com.sap.ai.sdk.orchestration.model.InputTranslationModuleResultData

public class InputTranslationModuleResultData extends Object
InputTranslationModuleResultData

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InputTranslationModuleResultData()`
  Default constructor for InputTranslationModuleResultData.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InputTranslationModuleResultData`
  `create()`
  Create a new `InputTranslationModuleResultData` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `InputTranslationModuleResultData`.
  `Map<String,String>`
  `getTranslatedPlaceholders()`
  Get translatedPlaceholders
  `String`
  `getTranslatedTemplate()`
  Deprecated.
  `Map<String,List<String>>`
  `getTranslatedTemplateRoles()`
  Get translatedTemplateRoles
  `int`
  `hashCode()`
  `InputTranslationModuleResultData`
  `puttranslatedPlaceholdersItem(String key, String translatedPlaceholdersItem)`
  Put one translatedPlaceholders instance to this `InputTranslationModuleResultData` instance.
  `InputTranslationModuleResultData`
  `puttranslatedTemplateRolesItem(String key, List<String> translatedTemplateRolesItem)`
  Put one translatedTemplateRoles instance to this `InputTranslationModuleResultData` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `InputTranslationModuleResultData` instance.
  `void`
  `setTranslatedPlaceholders(Map<String,String> translatedPlaceholders)`
  Set the translatedPlaceholders of this `InputTranslationModuleResultData` instance.
  `void`
  `setTranslatedTemplate(String translatedTemplate)`
  Set the translatedTemplate of this `InputTranslationModuleResultData` instance.
  `void`
  `setTranslatedTemplateRoles(Map<String,List<String>> translatedTemplateRoles)`
  Set the translatedTemplateRoles of this `InputTranslationModuleResultData` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `InputTranslationModuleResultData` instance including unrecognized properties.
  `String`
  `toString()`
  `InputTranslationModuleResultData`
  `translatedPlaceholders(Map<String,String> translatedPlaceholders)`
  Set the translatedPlaceholders of this `InputTranslationModuleResultData` instance and return the same instance.
  `InputTranslationModuleResultData`
  `translatedTemplate(String translatedTemplate)`
  Set the translatedTemplate of this `InputTranslationModuleResultData` instance and return the same instance.
  `InputTranslationModuleResultData`
  `translatedTemplateRoles(Map<String,List<String>> translatedTemplateRoles)`
  Set the translatedTemplateRoles of this `InputTranslationModuleResultData` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InputTranslationModuleResultData

    protected InputTranslationModuleResultData()
    Default constructor for InputTranslationModuleResultData.

- ## Method Details

  - ### translatedTemplate

    @Nonnull public InputTranslationModuleResultData translatedTemplate(@Nullable String translatedTemplate)
    Set the translatedTemplate of this `InputTranslationModuleResultData` instance and return the same instance.
    Parameters:
      `translatedTemplate` - The translatedTemplate of this `InputTranslationModuleResultData`
    Returns:
      The same instance of this `InputTranslationModuleResultData` class

  - ### getTranslatedTemplate

    @Deprecated @Nonnull public String getTranslatedTemplate()
    Deprecated.
    Get translatedTemplate
    Returns:
      translatedTemplate The translatedTemplate of this `InputTranslationModuleResultData` instance.

  - ### setTranslatedTemplate

    public void setTranslatedTemplate(@Nullable String translatedTemplate)
    Set the translatedTemplate of this `InputTranslationModuleResultData` instance.
    Parameters:
      `translatedTemplate` - The translatedTemplate of this `InputTranslationModuleResultData`

  - ### translatedTemplateRoles

    @Nonnull public InputTranslationModuleResultData translatedTemplateRoles(@Nullable Map<String,List<String>> translatedTemplateRoles)
    Set the translatedTemplateRoles of this `InputTranslationModuleResultData` instance and return the same instance.
    Parameters:
      `translatedTemplateRoles` - The translatedTemplateRoles of this `InputTranslationModuleResultData`
    Returns:
      The same instance of this `InputTranslationModuleResultData` class

  - ### puttranslatedTemplateRolesItem

    @Nonnull public InputTranslationModuleResultData puttranslatedTemplateRolesItem(@Nonnull String key, @Nonnull List<String> translatedTemplateRolesItem)
    Put one translatedTemplateRoles instance to this `InputTranslationModuleResultData` instance.
    Parameters:
      `key` - The String key of this translatedTemplateRoles instance
      `translatedTemplateRolesItem` - The translatedTemplateRoles that should be added under the given key
    Returns:
      The same instance of type `InputTranslationModuleResultData`

  - ### getTranslatedTemplateRoles

    @Nonnull public Map<String,List<String>> getTranslatedTemplateRoles()
    Get translatedTemplateRoles
    Returns:
      translatedTemplateRoles The translatedTemplateRoles of this `InputTranslationModuleResultData` instance.

  - ### setTranslatedTemplateRoles

    public void setTranslatedTemplateRoles(@Nullable Map<String,List<String>> translatedTemplateRoles)
    Set the translatedTemplateRoles of this `InputTranslationModuleResultData` instance.
    Parameters:
      `translatedTemplateRoles` - The translatedTemplateRoles of this `InputTranslationModuleResultData`

  - ### translatedPlaceholders

    @Nonnull public InputTranslationModuleResultData translatedPlaceholders(@Nullable Map<String,String> translatedPlaceholders)
    Set the translatedPlaceholders of this `InputTranslationModuleResultData` instance and return the same instance.
    Parameters:
      `translatedPlaceholders` - The translatedPlaceholders of this `InputTranslationModuleResultData`
    Returns:
      The same instance of this `InputTranslationModuleResultData` class

  - ### puttranslatedPlaceholdersItem

    @Nonnull public InputTranslationModuleResultData puttranslatedPlaceholdersItem(@Nonnull String key, @Nonnull String translatedPlaceholdersItem)
    Put one translatedPlaceholders instance to this `InputTranslationModuleResultData` instance.
    Parameters:
      `key` - The String key of this translatedPlaceholders instance
      `translatedPlaceholdersItem` - The translatedPlaceholders that should be added under the given key
    Returns:
      The same instance of type `InputTranslationModuleResultData`

  - ### getTranslatedPlaceholders

    @Nonnull public Map<String,String> getTranslatedPlaceholders()
    Get translatedPlaceholders
    Returns:
      translatedPlaceholders The translatedPlaceholders of this `InputTranslationModuleResultData` instance.

  - ### setTranslatedPlaceholders

    public void setTranslatedPlaceholders(@Nullable Map<String,String> translatedPlaceholders)
    Set the translatedPlaceholders of this `InputTranslationModuleResultData` instance.
    Parameters:
      `translatedPlaceholders` - The translatedPlaceholders of this `InputTranslationModuleResultData`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `InputTranslationModuleResultData`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `InputTranslationModuleResultData` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `InputTranslationModuleResultData` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `InputTranslationModuleResultData` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static InputTranslationModuleResultData create()
    Create a new `InputTranslationModuleResultData` instance. No arguments are required.